/**
 * A map that holds weak references to its values (i.e. it does not prevent its values from being garbage collected).
 */
export declare class WeakValueMap<K, V extends object> {
    #private;
    /**
     * Returns `undefined` if the value was garbage collected.
     */
    get(key: K): V | undefined;
    set(key: K, value: V): this;
}
